--[[
================================
	Surge of Light v1.2
================================
Author: tattooedpierre (Duathorthad <The Infernals> Emerald Dream EU)
 Just of GetAddons.com

Desscription: 	Display a nice, big icon + some text (plus optional sound)
				when Surge of Light procs, so you never miss one.
				
Credits:		Thanks to "Night_Warner" by Xerogen for the original idea in his mod
				and the basis for the code.			
]]

SOL_CFG = {
	SOUND = 1
	}


function SurgeOfLight_OnLoad()
	this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage("Surge of Light . /solshow  /solhide      .");
	SurgeOfLightMainFrame:Hide();
	SLASH_SurgeOfLightSHOW1 = "/solshow";
	SlashCmdList["SurgeOfLightSHOW"] = SurgeOfLight_ShowFrame;
	SLASH_SurgeOfLightHIDE1 = "/solhide";
	SlashCmdList["SurgeOfLightHIDE"] = SurgeOfLight_HideFrame;
	SLASH_SurgeOfLightSOUND1 = "/solsound";
	SlashCmdList["SurgeOfLightSOUND"] = SurgeOfLight_SoundToggle;
	end
	SurgeMsg:SetFont("Fonts\\skurri.ttf", 16);
end

-- Detect the buff
function SurgeOfLight_OnEvent(event)
	if arg2 == "SPELL_AURA_APPLIED" then
		if arg6 == UnitGUID("player") and arg10 == "Surge of Light" then
			if (SOL_CFG.SOUND == 1) then
				PlaySound("RaidWarning");  -- Play a sound when clearcasting procs
			end
			UIFrameFlash(SurgeOfLightMainFrame, 1, 1, 10, false, 0, 0)
			DEFAULT_CHAT_FRAME:AddMessage("|cffedc300SurgeOfLight|cffffffff !");
		end
	end
	
	if arg2 == "SPELL_AURA_REMOVED" then
		if arg6 == UnitGUID("player") and arg10 == "Surge of Light" then
			UIFrameFlashRemoveFrame(SurgeOfLightMainFrame)
			UIFrameFadeOut(SurgeOfLightMainFrame, 0.4, SurgeOfLightMainFrame:GetAlpha(), 0)		
		end
	end
end -- function end

-- Handle the toggling of sound
function SurgeOfLight_SoundToggle(cmd)
	if (SOL_CFG.SOUND == 1) then
		SOL_CFG.SOUND = 0;
		DEFAULT_CHAT_FRAME:AddMessage("|cffedc300SurgeofLight|cffffffff:   ");
	elseif (SOL_CFG.SOUND == 0) then
		SOL_CFG.SOUND = 1;
		DEFAULT_CHAT_FRAME:AddMessage("|cffedc300SurgeofLight|cffffffff:   ");
	end
end

function SurgeOfLight_ShowFrame(cmd)
	SurgeOfLightMainFrame:Show();
end

function SurgeOfLight_HideFrame(cmd)
	SurgeOfLightMainFrame:Hide();
end
